using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.YSYFKMXTongJi
{
    public partial class W_JHYFKMX
    {
        public W_JHYFKMX()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            base.st_title.Text = "进货付款单明细";

            //dw_temp.DataStore.DataWindowObject = "dw_cwtjfx_jhfkdmx_list";

            dw_temp.AllowCreate = true;
            dw_temp.AllowRetrieve = true;
            string curYhbh = A8ERP.AppService.GetUserID();
            this.SetParm("curYhbh", curYhbh);

            string curCdbh = this.FunctionID;
            this.SetParm("curCdbh", curCdbh);

            //dw_list.ClickHeaderSort = true;


            #region 调用保存格式
            string FormatPzh = Request["FormatPzh"];
            string FormatValue = Request["FormatValue"];
            if (FormatPzh != null && FormatPzh != "")
            {
                this.SetParm("format_pzh", FormatPzh);
                AppService.GetYwFormat(dw_list, FormatValue);
            }
            #endregion

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_YW_LIST", "/CaiWu/CaiWuTongJiFenXi/W_YW_LIST.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
            }
            string curJgtx = A8ERP.DBHelp.GetJGTXByBMAndYH(this.FunctionID, curYhbh);
            this.SetParm("jgtxlist", curJgtx);
        }
    }
}
